usb_hcd_unlink_urb_from_ep
Prev | Chapter 6. Host Controller APIs | Next

## Name

usb_hcd_unlink_urb_from_ep — remove an URB from its endpoint queue

## Synopsis

`void usb_hcd_unlink_urb_from_ep (` | struct usb_hcd * | hcd,
| struct urb * | urb`)`;

## Arguments

`hcd`

  host controller to which `urb` was submitted

`urb`

  URB being unlinked

## Description

Host controller drivers should call this routine before calling `usb_hcd_giveback_urb`. The HCD's private spinlock must be held and interrupts must be disabled. The actions carried out here are required for URB completion.

Prev | Up | Next
usb_hcd_check_unlink_urb | Home | usb_hcd_giveback_urb